> For the complete documentation index, see [llms.txt](https://tronex.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://tronex.gitbook.io/docs/api-documentation/api-v1/orders.md).

# Orders

## Get order status

> Request to retrieve the status of an order. The authentication token must be sent in header X-API-KEY with the request. This token is used to identify the user.

```json
{"openapi":"3.0.3","info":{"title":"Tronex API","version":"1.0.0"},"servers":[{"url":"https://api.tronex.energy","description":"API Server"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"API key for authentication"}}},"paths":{"/api/v1/status/{id}":{"get":{"summary":"Get order status","tags":["Orders"],"description":"Request to retrieve the status of an order. The authentication token must be sent in header X-API-KEY with the request. This token is used to identify the user.","parameters":[{"schema":{"type":"integer","exclusiveMinimum":true,"maximum":9007199254740991},"in":"path","name":"id","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"order_id":{"type":"number"},"target":{"type":"string"},"duration":{"type":"string"},"volume":{"type":"number"},"summa":{"type":"number"},"status":{"type":"string","enum":["Filled","Pending","Cancelled"]},"txid":{"nullable":true,"type":"string"}},"required":["order_id","target","duration","volume","summa","status","txid"],"additionalProperties":false,"description":"Order status retrieved successfully"}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","enum":[400]},"code":{"default":"BAD_REQUEST","type":"string"},"error":{"default":"Bad Request","type":"string"},"message":{"default":"Bad Request","type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"path":{"type":"string"},"message":{"type":"string"}},"required":["path","message"],"additionalProperties":false}}},"required":["statusCode","code","error","message"],"additionalProperties":false,"description":"Bad request error"}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","enum":[401]},"code":{"default":"UNAUTHORIZED","type":"string"},"error":{"default":"Unauthorized","type":"string"},"message":{"default":"Invalid authorization token","type":"string"}},"required":["statusCode","code","error","message"],"additionalProperties":false,"description":"Unauthorized error"}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"default":404,"type":"number"},"code":{"default":"NOT_FOUND","type":"string"},"error":{"default":"Not Found","type":"string"},"message":{"default":"Order not found","type":"string"}},"required":["statusCode","code","error","message"],"additionalProperties":false,"description":"Order not found error "}}}}}}}}}
```
